## LassoIdWsf2PsAddCollectionRequest LassoIdWsf2PsAddCollectionRequest — <ps:AddCollectionRequest> |

## Functions

LassoIdWsf2PsAddCollectionRequest * | lasso_idwsf2_ps_add_collection_request_new ()

## Types and Values

struct | LassoIdWsf2PsAddCollectionRequest

## Description

Figure 204. Schema fragment for ps:AddCollectionRequest

    <xs:complexType name="AddCollectionRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="Object"/>
            <xs:element ref="Subscription" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_add_collection_request_new ()

    LassoIdWsf2PsAddCollectionRequest *
    lasso_idwsf2_ps_add_collection_request_new
                                   (void);

Creates a new LassoIdWsf2PsAddCollectionRequest object.

#### Returns

a newly created LassoIdWsf2PsAddCollectionRequest object

## Types and Values

### struct LassoIdWsf2PsAddCollectionRequest

    struct LassoIdWsf2PsAddCollectionRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *Object;
    	/* XXX */ void *Subscription;
    };